﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"

    # Declare characters used by this game.
    $ am = Character('Alice Margatroid', color="#ffff99", show_two_window=True)                 # edit colors to your liking
    $ as1 = Character('Aya Shameimaru', color="#ffcc99", show_two_window=True)          # This is the color of the name of the character as shown 
    $ f = Character('Flandre Scarlet', color="#ff6666", show_two_window=True)                 # on top of the dialogue box
    $ mk = Character('Marisa Kirisame', color="#ffff00", show_two_window=True)
    $ red = Character('Rednal', color="#ff0033", show_two_window=True)                              #what_font="whatever.ttf")  add this to the end to change font for
    $ rh = Character('Reimu Hakurei', color="#ff0000", show_two_window=True)                   # whatever character
    $ su = Character('Suika Ibuki', color="#ff9900", show_two_window=True)
    $ yy = Character('Yukari Yakumo', color="#ff99ff", show_two_window=True)            # add what_color="#000000") to change the speaking font
    
    #$ example = Character('Example', color="#c8ffc8", show_two_window=True, what_font="Whatever.ttf", what_color="#000000")
    
    # Character Sprites
    
    image am2 = "am2.png"
    image am3 = "am3.png"
    image am9 = "am9.png"            #I'm assuming the sides were cut which is why you made everything to the left
    image as3 = "as3.png"              # I've edited the images so that you can now centre them, if you wish.
    image as5 = "as5.png"
    image as7 = "as7.png"
    image as9 = "as9.png"
    image mk2 = "mk2.png"
    image mk3 = "mk3.png"
    image mk5 = "mk5.png"
    image rh2 = "rh2.png"
    image rh3 = "rh3.png"
    image rh5 = "rh5.png"
    image rh7 = "rh7.png"
    image rh9 = "rh9.png"
    image su2 = "su2.png"
    image su3 = "su3.png"
    image su5 = "su5.png"
    image yy2 = "yy2.png"
    image yy5 = "yy5.png"
    image yy6 = "yy6.png"
    image yy9 = "yy9.png"
    
    # Backgrounds
    
    image DollHouse = "DollHouse.jpg"
    image endingcg1 = "endingcg1.png"
    image Field = "Field.jpg"
    image Flying = "Flying.jpg"
    image HakuShri = "HakuShri.jpg"
    image MagiFore = "MagiFore.jpg"
    image YoukMoun = "YoukMoun.jpg"
    image Black = "#000000"
    image FlanRoom = "FlanRoom.jpg"         #I think this was the most suitable... 


# The game starts here.
label start:   
scene FlanRoom with blinds
"............"
"I feel like going out today."
"......."
"Sister might be angry if I do, though..."
"Maybe it's not even night-time out there."
"I don't like the sun."
"But my friends will be mad if I destroy it..."
"[Kyu kyu kyu] is all it would take."
"It wouldn't take much effort."
"......."
"But I still want to go out and visit my friends."
with vpunch
with hpunch
"I push the door open."
"It was locked somehow, but that's only because Sister doesn't want me leaving casually."
"I just have to hit it lightly to make it open."
scene black with blinds
"I hear yelling coming from up above. Somebody is calling my name."
"Even down here in the basement, I can hear them."
"They always panic when I leave my room."
"I don't want to play with them, though."
"The maid left a parasol near my room just in case. I take it."
"Sister always takes it with her when she goes out in the day."
"Or the maid takes it, anyway."
with hpunch
"I hit the wall."
scene Field with blinds
"The outside world is very bright."
"There are always new smells and things like that."
"It's nothing like my room."
"I spread the parasol above me and angle it towards the sun before walking outside."
"It's still slightly uncomfortable, but the parasol protects me."
scene Flying with blinds
"The ground falls away before me as I move into the air."
"Flying's easy for me. But it's easy for just about everyone in Gensokyo, according to Patchy."
"She said most people use it to get around."
"I like flying outside."
"Patchy told me that all of Gensokyo is like my room."
"It's surrounded by a giant barrier that keeps us from going out..."
"...And unlike my room, people can't leave whenever they want."
"But the outside world is much bigger than my room, and I can fly farther and faster."
"I circle all of Gensokyo once before I drop down to my destination."
scene HakuShri with blinds
"The Red-White is there."
show rh9 at left with dissolve
rh "Oh. Flandre, you came here by yourself today?"
f "Yup! I wanted to come play!"
hide rh9 with dissolve
show rh2 at left with dissolve
rh "Oh, um... I was just about to serve some tea. It may not be what you're used to, but would you like some?"
f "Okay!"
hide rh2 with dissolve
"Reimu's really nice."
"Her food tastes weird, but she plays with me almost as much as Marisa does."
"I like her."
"She's really strong, too. Most people underestimate how tough she is."
"Reimu and Marisa are the only ones who have ever beaten me in a real Danmaku fight."
"They're about the only people who have a real fight with me, actually."
"Whenever I go out, one of them is usually around."
"I like their company. We play a lot, then I go home."
"Like, [Kyu kyu]."
"It doesn't take long for Reimu to bring out some tea, and we sit in the shade where it's comfortable."
show rh7 at left with dissolve
rh "So, Flan, did you know that Marisa's birthday is coming up?"
f "Hmm?"
"I sip some of the weird tea. It feels lifeless... like leaves boiled in water, not real tea."
"It isn't good at all."
"Reimu drinks it all the time, though."
"Marisa usually has some, too."
"I don't really understand it..."
"Marisa once said it was an acquired taste, though, and that I might like it if I kept drinking it."
"So I usually have some when I visit the shrine."
"I don't think I've visited for a birthday, though."
"I've had hundreds of birthdays, but it's not like they were any different from normal days."
"I only started leaving my room recently, too, so I don't really know how everybody else lives when they aren't doing Danmaku."
hide rh7 with dissolve
show rh5 at left with dissolve
rh "It's true. Are you going to get her a present?"
f "What's a present? Does it taste good?"
hide rh5 with dissolve
show rh2 at left with dissolve
rh "Oh, right, I forgot... I suppose you wouldn't know. Presents sometimes taste good."
"Only sometimes?"
"How can something only taste good sometimes?"
"Things either do or don't."
"Reimu says weird stuff like that sometimes."
rh "It depends on what the present is. She might not like anything you'd consider food, though."
"Huh?"
f "Why not?"
rh "You eat different things. I suppose that means you have to find something else to give her."
f "Oh."
"I have another sip of the tea."
"I don't think I'm going to acquire the taste for it anytime soon."
"It's kind of icky. I like the tea in people better."
"But I'm not supposed to take it on my own, so I don't really know how to drink it."
"Sakuya always makes it for me."
hide rh2 with dissolve
show rh7 at left with dissolve
rh "But you have to think it up yourself. Don't kill anybody to get it, though, all right?"
f "So I can give her anything I want?"
"Except food."
rh "That's right. The more thought you put into it, the more precious it is."
f "I don't get it."
hide rh7 with dissolve
show rh3 at left with dissolve
rh "That's okay; I wasn't expecting you to. Do your best, all right?"
f "Okay."
"I finish the tea and grab the parasol before floating into the air."
hide rh3 with dissolve
scene Flying with blinds
"Something Marisa would like that she can't eat...?"
"What would something like that be?"
"........"
"I don't get it."
"Maybe there's somebody who can tell me what it is."
"I fly around for a little while until I find the Forest of Magic."
"It's about the only real forest in Gensokyo, and finding it from the air is easy."
scene MagiFore with blinds
"It's a very stinky place."
"There are all sorts of things that live in the Forest. Animals, and plants, and mushrooms..."
"The animals don't bother me, though."
"I think they're afraid of me."
"A huge bear once came at me when I was looking for Marisa's house."
"I wanted to play with him, but he fell over after a little tackle and didn't get up."
"I guess he didn't want to play anymore."
"Bears aren't scary."
"Actually, they're kind of cute."
"Snakes aren't cute, though."
"Ah, birds are fun to play with."
"Their wings come off easily, though."
"Eventually, I find where I'm looking for."
scene DollHouse with blinds
"A funny woman who hangs out with Marisa a lot lives here."
show am9 at left with dissolve
am "Oh! Aren't you...?"
f "Hello!"
"I'm glad she's home. Marisa talks about her a lot."
"Her name's Alice Ma..."
"Ma..."
"..."
"It isn't Alice Marisa, I know that much."
"Well, she's Alice. I can't remember her last name."
"She's kind of a weirdo."
"She has all these dolls in her house, and she's always moving them around."
"And she doesn't really talk too much if you go inside."
"She's a creepy doll otaku."
"But she talks more to people she likes."
"I don't talk with her very often, though."
"But she comes to the Mansion sometimes to have tea and talk with Patchy about magic."
"Meiling usually lets her through without much trouble."
"Sister doesn't really like visitors, and Sakuya makes sure they leave if Meiling doesn't stop them."
"But Patchy's guests are special or something."
"Patchy says that thieves are bad."
"I think she's just lonely, though. She's almost always in the library, and people rarely go down there."
"Except for her helper, of course."
"And the maid fairies."
"And Sakuya, who brings food."
"And Marisa steals books a lot."
"And she has powerful Youkai guests fairly often, too."
"...."
"Maybe Patchy isn't lonely."
"I wish more people would visit me."
"Most of them are too weak to play with me, though."
f "I came to ask you something."
hide am9 with dissolve
show am2 at left with dissolve
am "Sorry, but even if we do have the same number of colors, I'm not sure I'm up for Danmaku today."
f "I'm not here to play. I want to find a present for Marisa's birthday."
"I smile at her."
"If she's Marisa's friend, she should know things about her."
"And so she can tell me what sort of thing Marisa might like as a present."
"But it can't be food."
"I still don't understand; food is good, isn't it?"
"Ah, but there are some foods I don't like."
"Garlic is yucky."
hide am2 with dissolve
show am3 at left with dissolve
am "A present? Well, why didn't you say so to begin with? Do you have any ideas?"
f "Nuh-uh. That's why I came to ask you."
am "Very smart of you, Flandre. Let me think... Marisa likes mushrooms a lot; she'd be really happy if you found a rare one for her."
f "Reimu said I shouldn't give her food."
am "I'm not sure they count as food, but that's true enough... and I'm not sure you'd be very good at finding rare mushrooms..."
am "What about some exciting technology from the Moon?"
f "What's technology?"
"I've heard the word before, but I don't understand it very well."
am "Remember that little box she fires her Master Spark from? Stuff like that. Lunar technology is amazing."
f "Okay."
hide am3 with dissolve
scene Flying with blinds
"I take off into the air again."
"I guess that's all Alice really knows."
"Technology, huh?"
"I don't see the point."
"Things always break, so why bother giving them to other people?"
"If Marisa liked her present, I'm sure she'd be really sad if it broke."
"Just like I feel after playing with my toys. They always break."
"Sakuya always gets me new ones, and she takes away the old ones every few weeks."
"I throw them in a pile so it's easier for her."
"Since I have the toys, I can always play by myself if I don't have any visitors."
"I like Danmaku better, though."
"Danmaku's much more fun than playing with stuffed animals."
show as3 at left with dissolve
as1 "Now here's a sight you don't see every day! A vampire flying in the daytime!"
f "...The reporter. What was your name again?"
"She has a funny name."
"It's long and complicated."
"And she does a lot of weird stuff, too."
as1 "I'm Aya Shameimaru, the fastest reporter in Gensokyo."
f "Oh... okay."
"I keep flying."
hide as3 with dissolve
show as5 at left with dissolve
as1 "Wait, wait, wait! I don't get photos of you very often."
hide as5 at left with dissolve
show as5 at right with dissolve
hide as5 at right with dissolve
show as5 at left with dissolve
as1 "You're actually pretty cute, now that I think of it. How'd you like to be on the front page?"
"She flits around me, the little box she's holding making lots of flashes. They're kind of annoying."
"But Reimu said I shouldn't kill anybody."
"Maybe I can just play a little."
as1 "Your wings really are unique, though. Isn't it hard to fly that way?"
f "Not really."
"I'm not interested in talking to Aya. She's really strange."
"Stranger than the creepy doll otaku."
"She doesn't get how easy it is to destroy something."
"All I have to do is go [Kyu]."
"It's nothing special."
"Everything in the world can go [Kyu]."
"Even the world itself if I really wanted."
"It wouldn't take much effort to destroy it."
"There's nothing I can't destroy if I want to."
"Sister says that's why I have to stay away from other people most of the time."
"She said there are rules to follow, and I'm not very good at following them."
"Marisa doesn't seem to worry about it very much, though."
"Her Master Spark isn't really Danmaku, after all."
"It's just a big blast of energy."
"I like going head-on against her that way."
"I usually charge straight at her Master Spark."
"It tickles."
"It's a lot of fun when I have to put a little effort into things, too."
"I like her Final Spark even more."
"It's pretty, and stronger, and I like all the colors."
"It reminds me of my wings, and I feel like Marisa and I are a bit closer when she shows me that."
"I really, really like it."
f "What would Marisa like as a present?"
hide as5 with dissolve
show as9 at left with dissolve
as1 "Oh, so that's why you're out here?"
as1 "Come to think of it, it is her birthday fairly soon."
as1 "I'll have to cover the party if she's having one."
"I keep flying."
"Aya doesn't find it hard to keep up with me, though."
"She's really fast."
"Actually, she's the fastest person I know."
"I'm not sure I could outpace her even if I tried."
"Ah, but she isn't very strong."
"I could pull her wings off with a tiny tug."
"She just runs away from attacks, and she doesn't play with me like Reimu and Marisa do."
"She's not very interesting."
as1 "How about a powerful magic book from Patchy's library?"
f "Marisa's always taking Patchy's books; if there's one she wants, she probably has it already."
"I like it when Marisa comes to take some books."
"I help her in sometimes, and she comes to play with me on occasion."
"Sakuya usually kicks her out before we're through, though."
"That's boring."
as1 "So it's not just every now and then, huh?"
hide as9 with dissolve
show as7 at left with dissolve
as1 "Interesting."
as1 "Well, I'll see you around!"
hide as7 with dissolve
"She flies off."
"I don't really care."
"I'm glad she won't be annoying me with a lot of questions, though."
"Reimu said I shouldn't kill anybody, after all."
"Even though birds are so fragile. Their wings come off with a little tug."
scene YoukMoun
"I soon land on a big mountain."
"I don't know about Lunar technology, but Sakuya mentioned this place once."
"She said that the Kappa are really good with machines."
show su5 at left with dissolve
su "Oh, Flandre."
"It's Suika. I see her at the Shrine sometimes when I'm visiting."
"She's super-strong; I like her a lot."
"She's one of the only people who can match my strength."
"We play around sometimes."
"Suika's friend Yukari usually watches from nearby."
"She does weird things like create a barrier around us when we wrestle."
"Something about making sure we don't accidentally destroy Gensokyo."
"I usually have so much fun playing that the barrier doesn't bother me, even if I smack against it."
"Ah, but I can smack Suika."
"She's tough enough that even a hit that would make a human disappear just makes her bounce around a little."
"She says it's because Oni are tough."
"I still think I could win if I went [Kyu]."
"But I don't want to; people stop playing with me when I do that."
"And I like playing with Suika."
f "Hello, Suika."
hide su5 with dissolve
show su3 at left with dissolve
su "So, what brings you here, Flan?"
f "I'm looking for a present for Marisa."
su "How about some sake?"
"Sake tastes as weird as tea does."
"Sakuya rarely lets me having some, saying children shouldn't have any."
"I'm not a child, though. I'm a big girl."
"I can go out by myself, after all."
"Marisa sometimes brings me some, though."
"And Suika's always drinking sake."
"She doesn't usually go more than a few minutes without having some."
f "...Reimu said I shouldn't give her food. Are drinks okay?"
su "I dunno. We should probably play it safe, though."
su "Reimu will get mad if we don't listen, after all."
su "I suppose I could try gathering interesting objects."
"Suika seems to be good at gathering things."
f "But that would seem a bit like cheating."
"I'm supposed to find a present myself, not have Suika find me one."
hide su3 with dissolve
show su2 at left with dissolve
su "Hmm... I guess."
su "Well, there's always somebody you can talk to..."
"Suika seems to know a lot of the people I do."
"Strong people tend to hang out with other strong people, and Suika is strong."
su "Why don't you ask Yukari, then? I'm sure she has some ideas."
f "Where is she?"
su "I think she said she was heading over to the Shrine..."
f "Okay."
hide su2 with dissolve
scene Flying with blinds
scene HakuShri with blinds
f "I land at the shrine."
show yy5 at left with dissolve
yy "Oh. Here's a rare face."
hide yy5 with dissolve
show yy6 at left with dissolve
yy "What brings you here, Miss Scarlet?"
"This is Suika's friend Yukari."
"She's very mysterious."
"But I like her."
"She's super, super-strong, even though she doesn't let it show."
"I'd like to play with her, but she says she doesn't want to get her clothes dirty."
f "I'm trying to find a present for Marisa's birthday."
hide yy6 with dissolve
show yy9 at left with dissolve
yy "I see."
yy "Well, how about this?"
"She leans forward and whispers something in my ear."
"!!!"
f "That's perfect!"
hide yy9 with dissolve
show yy6 at left with dissolve
yy "I'm glad you think so."
yy "It's something special from you, after all."
f "Thank you very much, Lady Yukari."
hide yy6 with dissolve
show yy2 at left with dissolve
yy "That makes me sound so old."
hide yy2 with dissolve
scene Black with blinds
"A few days pass."
"Remilia lets me go to Marisa's party."
"Actually, all of the Mansion attends."
"Except for the maids."
"We have the party at the Shrine."
scene HakuShri with blinds
show mk5 at left with dissolve
mk "Gotta admit, Flan, I'm glad you came."
f "Thank you!"
"I like Marisa lots, even more than Reimu."
"She's probably my best friend, though Reimu said I might have fun playing with someone called Mokou."
"She plays with me more than anyone else, and though she says she's just an Ordinary Magician, she's strong."
"But she doesn't really flaunt it."
"She smiles a lot, and she's easygoing."
"She's a nice sort of strong."
f "I worked extra-hard on your present."
hide mk5 with dissolve
show mk2 at left with dissolve
mk "It's not something you made in the kitchen, is it?"
f "Reimu said I shouldn't give you food."
hide mk2 with dissolve
show mk3 at left with dissolve
mk "Okay, then it should be fine"
"She laughs."
hide mk3 with dissolve
scene Black with blinds
scene endingcg1 with blinds
mk "Is that...?"
f "I learned how to make stars for my Danmaku, just like you."
"I raise up my hands and send a stream of Danmaku into the air."
"They're super, super-weak, so they won't hurt anybody."
"I practiced for a whole week to make sure they'd be that way."
"The stars slowly float downward, glittering on every side of us."
mk "It's beautiful. Thank you, Flan."
"She hugs me."
f "You're welcome... Marisa!"
scene Black with blinds
"..........."
"......."
"...."
red "Thanks for reading."
red "I'm Rednal, and I did the script for this visual novel."
red "I'm afraid it isn't as long as I really wanted it to be, but I hope you enjoyed reading it."
red "My apologies if it wasn't quite what you were expecting. I wanted to make something simple and happy."
red "Helping make stuff like this is my way of giving back to the community, since I can't do translating or editing."
red "Special thanks to ninjagrass, for helping put this together."
red "And to the people who made Ren'py, which is what this was made in."
red "And to Tasogare Frontier; it's so helpful to have pre-made sprites when doing this kind of thing. Though I wish they had some of Flan."
red "And extra thanks to ZUN, for creating Touhou and Flandre in the first place."
red "Even if she is a little psychopath, she's so cute."
red "All art belongs to its respective creators; I made none of it."
red "I'm actually working on something more epic than this, too."
red "If you want to help out with finding images, feel free to e-mail me."
red "Questions and comments can be sent to numinor29@gmail.com."
red "And since you're probably getting tired of hearing me talk, that's all for now."

return
